diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-strict-algorithm.h ns-3.46/src/lte/model/lte-fr-strict-algorithm.h
--- ns-3.45/src/lte/model/lte-fr-strict-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-strict-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -144,6 +144,6 @@
     uint8_t m_measId;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FR_STRICT_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-handover-algorithm.cc ns-3.46/src/lte/model/lte-handover-algorithm.cc
--- ns-3.45/src/lte/model/lte-handover-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-handover-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -38,4 +38,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-handover-algorithm.h ns-3.46/src/lte/model/lte-handover-algorithm.h
--- ns-3.45/src/lte/model/lte-handover-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-handover-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -93,6 +93,6 @@
     virtual void DoReportUeMeas(uint16_t rnti, LteRrcSap::MeasResults measResults) = 0;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_HANDOVER_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-handover-management-sap.cc ns-3.46/src/lte/model/lte-handover-management-sap.cc
--- ns-3.45/src/lte/model/lte-handover-management-sap.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-handover-management-sap.cc	2025-10-01 18:46:32.000000000 -0700
@@ -20,4 +20,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-handover-management-sap.h ns-3.46/src/lte/model/lte-handover-management-sap.h
--- ns-3.45/src/lte/model/lte-handover-management-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-handover-management-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -184,6 +184,6 @@
     return m_owner->DoTriggerHandover(rnti, targetCellId);
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_HANDOVER_MANAGEMENT_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-mi-error-model.cc ns-3.46/src/lte/model/lte-mi-error-model.cc
--- ns-3.45/src/lte/model/lte-mi-error-model.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-mi-error-model.cc	2025-10-01 18:46:32.000000000 -0700
@@ -23,9 +23,9 @@
 #include "ns3/pointer.h"
 
 #include <cmath>
+#include <cstdint>
+#include <cstdlib>
 #include <list>
-#include <stdint.h>
-#include <stdlib.h>
 #include <vector>
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-ccm-rrc-sap.cc ns-3.46/src/lte/model/lte-ue-ccm-rrc-sap.cc
--- ns-3.45/src/lte/model/lte-ue-ccm-rrc-sap.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-ccm-rrc-sap.cc	2025-10-01 18:46:32.000000000 -0700
@@ -20,4 +20,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-ccm-rrc-sap.h ns-3.46/src/lte/model/lte-ue-ccm-rrc-sap.h
--- ns-3.45/src/lte/model/lte-ue-ccm-rrc-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-ccm-rrc-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -235,6 +235,6 @@
     m_owner->DoSetNumberOfComponentCarriers(noOfComponentCarriers);
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_UE_CCM_RRC_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-component-carrier-manager.cc ns-3.46/src/lte/model/lte-ue-component-carrier-manager.cc
--- ns-3.45/src/lte/model/lte-ue-component-carrier-manager.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-component-carrier-manager.cc	2025-10-01 18:46:32.000000000 -0700
@@ -96,4 +96,4 @@
     m_ccmRrcSapUser->SetNumberOfComponentCarriers(noOfComponentCarriers);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-component-carrier-manager.h ns-3.46/src/lte/model/lte-ue-component-carrier-manager.h
--- ns-3.45/src/lte/model/lte-ue-component-carrier-manager.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-component-carrier-manager.h	2025-10-01 18:46:32.000000000 -0700
@@ -97,6 +97,6 @@
                               //!< flows of this UE.
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_UE_COMPONENT_CARRIER_MANAGER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-rrc.cc ns-3.46/src/lte/model/lte-ue-rrc.cc
--- ns-3.45/src/lte/model/lte-ue-rrc.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-rrc.cc	2025-10-01 18:46:32.000000000 -0700
@@ -32,6 +32,22 @@
 
 namespace ns3
 {
+/**
+ * @brief Artificial delay of UE measurements procedure.
+ *
+ * i.e. the period between the time layer-1-filtered measurements from PHY
+ * layer is received and the earliest time the actual measurement report
+ * submission to the serving cell is invoked.
+ *
+ * This delay exists because of racing condition between several UE measurements
+ * functions which happen to be scheduled at the same time. The delay ensures
+ * that:
+ *  - measurements (e.g., layer-3 filtering) are always performed before
+ *    reporting, thus the latter always use the latest measured RSRP and RSRQ;
+ *    and
+ *  - time-to-trigger check is always performed before the reporting, so there
+ *    would still be chance for it to cancel the reporting if necessary.
+ */
 const Time UE_MEASUREMENT_REPORT_DELAY = MicroSeconds(1);
 
 NS_LOG_COMPONENT_DEFINE("LteUeRrc");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ue-rrc.h ns-3.46/src/lte/model/lte-ue-rrc.h
--- ns-3.45/src/lte/model/lte-ue-rrc.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ue-rrc.h	2025-10-01 18:46:32.000000000 -0700
@@ -34,25 +34,6 @@
 
 namespace ns3
 {
-
-/**
- * @brief Artificial delay of UE measurements procedure.
- *
- * i.e. the period between the time layer-1-filtered measurements from PHY
- * layer is received and the earliest time the actual measurement report
- * submission to the serving cell is invoked.
- *
- * This delay exists because of racing condition between several UE measurements
- * functions which happen to be scheduled at the same time. The delay ensures
- * that:
- *  - measurements (e.g., layer-3 filtering) are always performed before
- *    reporting, thus the latter always use the latest measured RSRP and RSRQ;
- *    and
- *  - time-to-trigger check is always performed before the reporting, so there
- *    would still be chance for it to cancel the reporting if necessary.
- */
-LTE_EXPORT extern const Time UE_MEASUREMENT_REPORT_DELAY;
-
 class LteRlc;
 class LteMacSapProvider;
 class LteUeCmacSapUser;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/no-op-component-carrier-manager.cc ns-3.46/src/lte/model/no-op-component-carrier-manager.cc
--- ns-3.45/src/lte/model/no-op-component-carrier-manager.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/no-op-component-carrier-manager.cc	2025-10-01 18:46:32.000000000 -0700
@@ -478,4 +478,4 @@
     }
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/no-op-component-carrier-manager.h ns-3.46/src/lte/model/no-op-component-carrier-manager.h
--- ns-3.45/src/lte/model/no-op-component-carrier-manager.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/no-op-component-carrier-manager.h	2025-10-01 18:46:32.000000000 -0700
@@ -180,6 +180,6 @@
     // end of class RrComponentCarrierManager
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* NO_OP_COMPONENT_CARRIER_MANAGER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/no-op-handover-algorithm.cc ns-3.46/src/lte/model/no-op-handover-algorithm.cc
--- ns-3.45/src/lte/model/no-op-handover-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/no-op-handover-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -75,4 +75,4 @@
     NS_LOG_FUNCTION(this << rnti << (uint16_t)measResults.measId);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/no-op-handover-algorithm.h ns-3.46/src/lte/model/no-op-handover-algorithm.h
--- ns-3.45/src/lte/model/no-op-handover-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/no-op-handover-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -62,6 +62,6 @@
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* NO_OP_HANDOVER_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/simple-ue-component-carrier-manager.cc ns-3.46/src/lte/model/simple-ue-component-carrier-manager.cc
--- ns-3.45/src/lte/model/simple-ue-component-carrier-manager.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/simple-ue-component-carrier-manager.cc	2025-10-01 18:46:32.000000000 -0700
@@ -368,4 +368,4 @@
     return m_ccmMacSapUser;
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/simple-ue-component-carrier-manager.h ns-3.46/src/lte/model/simple-ue-component-carrier-manager.h
--- ns-3.45/src/lte/model/simple-ue-component-carrier-manager.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/simple-ue-component-carrier-manager.h	2025-10-01 18:46:32.000000000 -0700
@@ -130,6 +130,6 @@
     LteMacSapProvider* m_ccmMacSapProvider; //!< Receive API calls from the UE RLC instance
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* SIMPLE_UE_COMPONENT_CARRIER_MANAGER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-ffr-simple.cc ns-3.46/src/lte/test/lte-ffr-simple.cc
--- ns-3.45/src/lte/test/lte-ffr-simple.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-ffr-simple.cc	2025-10-01 18:46:32.000000000 -0700
@@ -306,4 +306,4 @@
     NS_LOG_FUNCTION(this);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-ffr-simple.h ns-3.46/src/lte/test/lte-ffr-simple.h
--- ns-3.45/src/lte/test/lte-ffr-simple.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-ffr-simple.h	2025-10-01 18:46:32.000000000 -0700
@@ -147,6 +147,6 @@
     bool m_accumulatedMode; ///< whether to use the TPC accumulated mode
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_SIMPLE_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-simple-spectrum-phy.cc ns-3.46/src/lte/test/lte-simple-spectrum-phy.cc
--- ns-3.45/src/lte/test/lte-simple-spectrum-phy.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-simple-spectrum-phy.cc	2025-10-01 18:46:32.000000000 -0700
@@ -114,7 +114,6 @@
 
     NS_LOG_FUNCTION(this << spectrumRxParams);
     Ptr<const SpectrumValue> rxPsd = spectrumRxParams->psd;
-    Time duration = spectrumRxParams->duration;
 
     // the device might start RX only if the signal is of a type
     // understood by this device - in this case, an LTE signal.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-carrier-aggregation.cc ns-3.46/src/lte/test/lte-test-carrier-aggregation.cc
--- ns-3.45/src/lte/test/lte-test-carrier-aggregation.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-carrier-aggregation.cc	2025-10-01 18:46:32.000000000 -0700
@@ -361,6 +361,7 @@
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist << m_dlBandwidth << m_ulBandwidth
                          << m_numberOfComponentCarriers);
+    SetDataDir(NS_TEST_SOURCEDIR);
 
     Config::SetDefault("ns3::LteEnbNetDevice::DlEarfcn", UintegerValue(100));
     Config::SetDefault("ns3::LteEnbNetDevice::UlEarfcn", UintegerValue(100 + 18000));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -292,6 +292,7 @@
 LenaCqaFfMacSchedulerTestCase1::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
+    SetDataDir(NS_TEST_SOURCEDIR);
 
     if (!m_errorModelEnabled)
     {
@@ -561,6 +562,8 @@
 void
 LenaCqaFfMacSchedulerTestCase2::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-deactivate-bearer.cc ns-3.46/src/lte/test/lte-test-deactivate-bearer.cc
--- ns-3.45/src/lte/test/lte-test-deactivate-bearer.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-deactivate-bearer.cc	2025-10-01 18:46:32.000000000 -0700
@@ -129,6 +129,7 @@
 void
 LenaDeactivateBearerTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     uint32_t originalSeed = RngSeedManager::GetSeed();
     uint32_t originalRun = RngSeedManager::GetRun();
     RngSeedManager::SetSeed(1);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -221,6 +221,7 @@
 void
 LenaFdBetFfMacSchedulerTestCase1::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -403,6 +404,7 @@
 LenaFdBetFfMacSchedulerTestCase2::DoRun()
 {
     NS_LOG_FUNCTION(this);
+    SetDataDir(NS_TEST_SOURCEDIR);
 
     if (!m_errorModelEnabled)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -198,7 +198,7 @@
 LenaFdMtFfMacSchedulerTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist);
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -293,7 +293,7 @@
 LenaFdTbfqFfMacSchedulerTestCase1::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -568,6 +568,8 @@
 void
 LenaFdTbfqFfMacSchedulerTestCase2::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-harq.cc ns-3.46/src/lte/test/lte-test-harq.cc
--- ns-3.45/src/lte/test/lte-test-harq.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-harq.cc	2025-10-01 18:46:32.000000000 -0700
@@ -96,6 +96,7 @@
 void
 LenaHarqTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     Config::SetDefault("ns3::LteAmc::Ber", DoubleValue(m_amcBer));
     Config::SetDefault("ns3::LteAmc::AmcModel", EnumValue(LteAmc::PiroEW2010));
     Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-link-adaptation.cc ns-3.46/src/lte/test/lte-test-link-adaptation.cc
--- ns-3.45/src/lte/test/lte-test-link-adaptation.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-link-adaptation.cc	2025-10-01 18:46:32.000000000 -0700
@@ -127,6 +127,7 @@
 void
 LteLinkAdaptationTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     Config::Reset();
     Config::SetDefault("ns3::LteAmc::AmcModel", EnumValue(LteAmc::PiroEW2010));
     Config::SetDefault("ns3::LteAmc::Ber", DoubleValue(0.00005));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-mimo.cc ns-3.46/src/lte/test/lte-test-mimo.cc
--- ns-3.45/src/lte/test/lte-test-mimo.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-mimo.cc	2025-10-01 18:46:32.000000000 -0700
@@ -113,6 +113,7 @@
 LenaMimoTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
+    SetDataDir(NS_TEST_SOURCEDIR);
     Config::SetDefault("ns3::LteSpectrumPhy::DataErrorModelEnabled", BooleanValue(false));
     Config::SetDefault("ns3::LteAmc::AmcModel", EnumValue(LteAmc::PiroEW2010));
     Config::SetDefault("ns3::LteHelper::UseIdealRrc", BooleanValue(m_useIdealRrc));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-pathloss-model.cc ns-3.46/src/lte/test/lte-test-pathloss-model.cc
--- ns-3.45/src/lte/test/lte-test-pathloss-model.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-pathloss-model.cc	2025-10-01 18:46:32.000000000 -0700
@@ -159,6 +159,7 @@
 void
 LtePathlossModelSystemTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     Config::SetDefault("ns3::MacStatsCalculator::DlOutputFilename",
                        StringValue(CreateTempDirFilename("DlMacStats.txt")));
     Config::SetDefault("ns3::MacStatsCalculator::UlOutputFilename",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -239,7 +239,7 @@
 LenaPfFfMacSchedulerTestCase1::DoRun()
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist);
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -418,6 +418,8 @@
 LenaPfFfMacSchedulerTestCase2::DoRun()
 {
     NS_LOG_FUNCTION(this);
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-phy-error-model.cc ns-3.46/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.45/src/lte/test/lte-test-phy-error-model.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-phy-error-model.cc	2025-10-01 18:46:32.000000000 -0700
@@ -148,6 +148,7 @@
 void
 LenaDataPhyErrorModelTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     double ber = 0.03;
     Config::SetDefault("ns3::LteAmc::Ber", DoubleValue(ber));
     Config::SetDefault("ns3::LteAmc::AmcModel", EnumValue(LteAmc::PiroEW2010));
@@ -309,6 +310,8 @@
 void
 LenaDlCtrlPhyErrorModelTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     double ber = 0.03;
     Config::SetDefault("ns3::LteAmc::Ber", DoubleValue(ber));
     Config::SetDefault("ns3::LteAmc::AmcModel", EnumValue(LteAmc::PiroEW2010));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-pss-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-pss-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -290,7 +290,7 @@
 LenaPssFfMacSchedulerTestCase1::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -563,6 +563,8 @@
 void
 LenaPssFfMacSchedulerTestCase2::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-radio-link-failure.cc ns-3.46/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.45/src/lte/test/lte-test-radio-link-failure.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-radio-link-failure.cc	2025-10-01 18:46:32.000000000 -0700
@@ -167,6 +167,7 @@
     // LogComponentEnable ("LteUeRrc", logLevel);
     // LogComponentEnable ("LteEnbRrc", logLevel);
     // LogComponentEnable ("LteRadioLinkFailureTest", logLevel);
+    SetDataDir(NS_TEST_SOURCEDIR);
 
     Config::SetDefault("ns3::MacStatsCalculator::DlOutputFilename",
                        StringValue(CreateTempDirFilename("DlMacStats.txt")));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-rr-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-rr-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-rr-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -201,6 +201,7 @@
 LenaRrFfMacSchedulerTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist);
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -221,6 +221,7 @@
 void
 LenaTdBetFfMacSchedulerTestCase1::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -408,6 +409,7 @@
 LenaTdBetFfMacSchedulerTestCase2::DoRun()
 {
     NS_LOG_FUNCTION(this);
+    SetDataDir(NS_TEST_SOURCEDIR);
 
     if (!m_errorModelEnabled)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-tdmt-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -197,7 +197,7 @@
 LenaTdMtFfMacSchedulerTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist);
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -293,7 +293,7 @@
 LenaTdTbfqFfMacSchedulerTestCase1::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
@@ -567,6 +567,8 @@
 void
 LenaTdTbfqFfMacSchedulerTestCase2::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-tta-ff-mac-scheduler.cc ns-3.46/src/lte/test/lte-test-tta-ff-mac-scheduler.cc
--- ns-3.45/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-tta-ff-mac-scheduler.cc	2025-10-01 18:46:32.000000000 -0700
@@ -197,7 +197,7 @@
 LenaTtaFfMacSchedulerTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << m_nUser << m_dist);
-
+    SetDataDir(NS_TEST_SOURCEDIR);
     if (!m_errorModelEnabled)
     {
         Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/lte-test-ue-measurements.cc ns-3.46/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.45/src/lte/test/lte-test-ue-measurements.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/lte-test-ue-measurements.cc	2025-10-01 18:46:32.000000000 -0700
@@ -42,6 +42,8 @@
 
 NS_LOG_COMPONENT_DEFINE("LteUeMeasurementsTest");
 
+const Time UE_MEASUREMENT_REPORT_DELAY = MicroSeconds(1);
+
 // ===== LTE-UE-MEASUREMENTS TEST SUITE ==================================== //
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/test/test-lte-epc-e2e-data.cc ns-3.46/src/lte/test/test-lte-epc-e2e-data.cc
--- ns-3.45/src/lte/test/test-lte-epc-e2e-data.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/test/test-lte-epc-e2e-data.cc	2025-10-01 18:46:32.000000000 -0700
@@ -116,6 +116,7 @@
 LteEpcE2eDataTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this << GetName());
+    SetDataDir(NS_TEST_SOURCEDIR);
     Config::Reset();
     Config::SetDefault("ns3::LteSpectrumPhy::CtrlErrorModelEnabled", BooleanValue(false));
     Config::SetDefault("ns3::LteSpectrumPhy::DataErrorModelEnabled", BooleanValue(false));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/mesh/doc/Makefile ns-3.46/src/mesh/doc/Makefile
--- ns-3.45/src/mesh/doc/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/mesh/doc/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,8 +1,4 @@
-EPSTOPDF = epstopdf
-DIA = dia
-DOT = dot
-CONVERT = convert -density 250
-
+include $(CURDIR)/../../../doc/sphinx/defines.mk
 
 SOURCE = source
 FIGURES = $(SOURCE)/figures
@@ -39,16 +35,7 @@
 	$(EPSTOPDF) $< -o=$@
 	if test x$($@_width) != x; then $(RESCALE) $($@_width) $@ ; fi
 
-
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
-
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCE)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/mesh/model/dot11s/hwmp-protocol.cc ns-3.46/src/mesh/model/dot11s/hwmp-protocol.cc
--- ns-3.45/src/mesh/model/dot11s/hwmp-protocol.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/mesh/model/dot11s/hwmp-protocol.cc	2025-10-01 18:46:32.000000000 -0700
@@ -181,6 +181,8 @@
     if (m_isRoot)
     {
         Time randomStart = Seconds(m_coefficient->GetValue());
+        NS_LOG_INFO("Root is starting proactive PREQ timer to expire at "
+                    << randomStart.As(Time::S));
         m_proactivePreqTimer =
             Simulator::Schedule(randomStart, &HwmpProtocol::SendProactivePreq, this);
     }
@@ -412,7 +414,7 @@
 {
     NS_LOG_FUNCTION(this << from << interface << fromMp << metric);
     preq.IncrementMetric(metric);
-    // acceptance cretirea:
+    // acceptance criteria:
     auto i = m_hwmpSeqnoMetricDatabase.find(preq.GetOriginatorAddress());
     bool freshInfo(true);
     if (i != m_hwmpSeqnoMetricDatabase.end())
@@ -598,7 +600,7 @@
 {
     NS_LOG_FUNCTION(this << from << interface << fromMp << metric);
     prep.IncrementMetric(metric);
-    // acceptance cretirea:
+    // acceptance criteria:
     auto i = m_hwmpSeqnoMetricDatabase.find(prep.GetOriginatorAddress());
     bool freshInfo(true);
     uint32_t sequence = prep.GetDestinationSeqNumber();
@@ -705,7 +707,7 @@
                           Mac48Address fromMp)
 {
     NS_LOG_FUNCTION(this << from << interface << fromMp);
-    // Acceptance cretirea:
+    // Acceptance criteria:
     NS_LOG_DEBUG("I am " << GetAddress() << ", received PERR from " << from);
     std::vector<FailedDestination> retval;
     HwmpRtable::LookupResult result;
@@ -735,6 +737,8 @@
                        uint32_t lifetime,
                        uint32_t interface)
 {
+    NS_LOG_FUNCTION(this << src << dst << retransmitter << initMetric << originatorDsn
+                         << destinationSN << lifetime << interface);
     IePrep prep;
     prep.SetHopcount(0);
     prep.SetTtl(m_maxTtl);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/mesh/model/dot11s/hwmp-rtable.cc ns-3.46/src/mesh/model/dot11s/hwmp-rtable.cc
--- ns-3.45/src/mesh/model/dot11s/hwmp-rtable.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/mesh/model/dot11s/hwmp-rtable.cc	2025-10-01 18:46:32.000000000 -0700
@@ -59,19 +59,12 @@
 {
     NS_LOG_FUNCTION(this << destination << retransmitter << interface << metric
                          << lifetime.GetSeconds() << seqnum);
-    auto i = m_routes.find(destination);
-    if (i == m_routes.end())
-    {
-        ReactiveRoute newroute;
-        m_routes[destination] = newroute;
-    }
-    i = m_routes.find(destination);
-    NS_ASSERT(i != m_routes.end());
-    i->second.retransmitter = retransmitter;
-    i->second.interface = interface;
-    i->second.metric = metric;
-    i->second.whenExpire = Simulator::Now() + lifetime;
-    i->second.seqnum = seqnum;
+    auto& route = m_routes[destination]; // find existing record or create new
+    route.retransmitter = retransmitter;
+    route.interface = interface;
+    route.metric = metric;
+    route.whenExpire = Simulator::Now() + lifetime;
+    route.seqnum = seqnum;
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/mesh/model/mesh-wifi-interface-mac.cc ns-3.46/src/mesh/model/mesh-wifi-interface-mac.cc
--- ns-3.45/src/mesh/model/mesh-wifi-interface-mac.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/mesh/model/mesh-wifi-interface-mac.cc	2025-10-01 18:46:32.000000000 -0700
@@ -189,7 +189,7 @@
      * Now we use dirty channel switch -- just change frequency
      */
     GetWifiPhy()->SetOperatingChannel(
-        WifiPhy::ChannelTuple{new_id, 0, GetWifiPhy()->GetPhyBand(), 0});
+        WifiPhy::ChannelTuple{static_cast<uint8_t>(new_id), 0, GetWifiPhy()->GetPhyBand(), 0});
     // Don't know NAV on new channel
     GetLink(SINGLE_LINK_OP_ID).channelAccessManager->NotifyNavResetNow(Seconds(0));
 }
